Commit a443f681 authored by Stefan Galinski's avatar Stefan Galinski

[TASK] Update all outdated non major packages / Switch to corejs

This requires project_theme settings.
parent d8f4fc5d
......@@ -122,7 +122,8 @@ module.exports = class Js extends Task {
targets: {
browsers: this._config.supportedBrowsers
},
useBuiltIns: 'usage'
useBuiltIns: 'usage',
corejs: 3
} : undefined;
try {
......
This diff is collapsed.
......@@ -15,43 +15,44 @@
"node": "~10.9.0"
},
"dependencies": {
"@babel/core": "^7.0.0",
"@babel/polyfill": "^7.0.0",
"@babel/preset-env": "^7.3.1",
"@babel/core": "^7.5.5",
"@babel/polyfill": "^7.4.4",
"@babel/preset-env": "^7.5.5",
"@csstools/postcss-sass": "^2.0.0",
"@sgalinski/image-dimensions": "^1.0.0",
"@sgalinski/inline-svg": "^1.2.1",
"async": "^2.6.1",
"autoprefixer": "^9.4.6",
"async": "^2.6.3",
"autoprefixer": "^9.6.1",
"babelify": "^9.0.0",
"browser-sync": "^2.26.7",
"browserify": "^16.2.2",
"chalk": "^2.4.1",
"eslint": "^5.4.0",
"browserify": "^16.5.0",
"chalk": "^2.4.2",
"core-js": "^3.2.1",
"eslint": "^5.16.0",
"exorcist": "^1.0.1",
"freedesktop-notifications": "^1.2.3",
"freedesktop-notifications": "^1.4.0",
"gaze": "^1.1.3",
"globby": "^8.0.1",
"globby": "^8.0.2",
"hirestime": "^3.2.1",
"imagemin": "^6.0.0",
"imagemin": "^6.1.0",
"imagemin-gifsicle": "^6.0.1",
"imagemin-jpegtran": "^6.0.0",
"imagemin-pngquant": "^6.0.0",
"imagemin-pngquant": "^6.0.1",
"imagemin-svgo": "^7.0.0",
"inline-source": "^7.1.0",
"inquirer": "^6.2.0",
"inquirer": "^6.5.1",
"log-symbols": "^2.2.0",
"merge": "^1.2.1",
"mkdirp": "^0.5.1",
"node-notifier": "^5.2.1",
"node-sass": "^4.9.3",
"node-sass-glob-importer": "^5.2.0",
"ora": "^3.0.0",
"postcss": "^7.0.2",
"node-notifier": "^5.4.3",
"node-sass": "^4.12.0",
"node-sass-glob-importer": "^5.3.2",
"ora": "^3.4.0",
"postcss": "^7.0.17",
"postcss-clean": "^1.1.0",
"postcss-reporter": "^6.0.0",
"pretty-bytes": "^5.1.0",
"replace-in-file": "^3.4.2",
"postcss-reporter": "^6.0.1",
"pretty-bytes": "^5.3.0",
"replace-in-file": "^3.4.4",
"stylelint": "^10.1.0",
"stylelint-declaration-strict-value": "^1.1.3",
"stylelint-images": "^2.0.0",
......@@ -59,9 +60,9 @@
"stylelint-performance-animation": "^1.2.2",
"stylelint-scss": "^3.9.4",
"tfilter": "^1.0.1",
"time-stamp": "^2.1.0",
"tinyify": "^2.4.3",
"time-stamp": "^2.2.0",
"tinyify": "^2.5.1",
"uglifyify": "^5.0.2",
"yargs": "^12.0.1"
"yargs": "^12.0.5"
}
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment